Subject: Re: [PATCH] net/ipv4/ip_gre.c net/ipv6/ip6_gre.c: ip and gre header are recorded twice

From: Jakub Kicinski <[email-masked]>
Date: Thu, 23 Jun 2022 20:26:02 -0700

On Thu, 23 Jun 2022 16:51:31 +0300 Aleksey Shumnik wrote:
> > What socket type is the ping you have using?  
> 
> I use SOCK_DGRAM

Strange.

> > The patch looks strangely mangled, it's white space damaged and refers
> > to a net/inv6 which does not exist.
> >
> > Could you regenerate your changes using git? git commit / format-patch
> > / send-email ?  
> 
> Thanks a lot for the answer!
> I want to find out, the creation of gre and ip header twice, is it a
> feature or a bug?

I can't think why that'd be a feature. Could add this case to selftests
to show how to repro and catch regressions?

> I did everything according to the instructions, hope everything is
> correct this time.

Nope, still mangled.